For Developers
Update Override
PATCH https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/overrides/:override_id
Updates properties of an existing override.
Permissions
Requires the overrides.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:integration_id | UUID | Yes | The ID of the integration. |
:override_id | UUID | Yes | The ID of the override. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
properties | Object | No | Updated map of overridden properties. |
action | String | No | Updated override action. |
Sample Request
const response = await axios.patch(
`https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/overrides/${override_id}`,
{
properties: {
email: 'new.principal@oakridge.k12.org'
}
},
{
headers: {
authorization: `Bearer ${user_session_token}`,
'content-type': 'application/json'
}
}
);
Sample Response
{
"$data": {
"id": "90184b23-9041-4712-8819-102938475819",
"type": "people",
"entity_id": "4a18dc60-5ff0-482a-9e1e-28ebc9735d10"
}
}
